Difference between revisions of "CUPS (Español)"

From ArchWiki
Jump to: navigation, search
(Instalación)
Line 21: Line 21:
 
* '''ghostscript''' - intérprete del lenguaje PostScript
 
* '''ghostscript''' - intérprete del lenguaje PostScript
 
* '''gsfonts''' - GhostScript estándar Type1
 
* '''gsfonts''' - GhostScript estándar Type1
* '''hpoj''' - Si está utilizando una HP Officejet, también debe instalar este paquete y siga las instrucciones para evitar problemas. Lea esto [http://answers.launchpad.net/hplip/+question/133425 thread at launchpad/hplip] para mas informacion.
+
* '''hpoj''' - Si está utilizando una HP Officejet, debe instalar este paquete. Además, se recomienda seguir  las instrucciones de este [http://answers.launchpad.net/hplip/+question/133425 hilo en launchpad/hplip] para evitar problemas.
  
Si el sistema está conectado a una impresora de red utilizando la [[Samba]] protocolo o si el sistema va a ser un servidor de impresión para los clientes de Windows, también instalar Samba:
+
Si el sistema está conectado a una impresora de red utilizando el protocolo [[Samba]] o si el sistema va a ser un servidor de impresión para los clientes de Windows, también es necesario instalar Samba:
 
  # pacman -S samba
 
  # pacman -S samba
  
  
 
===Controladores de la impresora===
 
===Controladores de la impresora===
Éstos son algunos de los paquetes de controladores. Elegir el controlador adecuado depende de la impresora:
+
Estos son algunos de los paquetes de controladores. Elegir el controlador adecuado depende de la impresora:
  
* '''gutenprint''' - una colección de controladores de alta calidad para impresoras Canon, Epson, Lexmark, Sony, Olympus, y PCL para su uso con GhostSscript, CUPS, Foomatic, y el [[GIMP]]
+
* '''gutenprint''' - una colección de controladores de alta calidad para impresoras Canon, Epson, Lexmark, Sony, Olympus y PCL para su uso con GhostSscript, CUPS, Foomatic y el [[GIMP]]
* '''foomatic-db, foomatic-db-engine, foomatic-db-nonfree, and foomatic-filters''' - Foomatic es un sistema con bases de datos para la integración de los controladores de impresora de software libre con colas común en Unix. Instalación de foomatic-filters debe resolver los problemas si las copas error_log informa "se detuvo con el estado de 22!".
+
* '''foomatic-db, foomatic-db-engine, foomatic-db-nonfree, and foomatic-filters''' - Foomatic es un sistema orientado a base de datos para integrar controladores de impresión de software libre con colas comunes en Unix. La instalación de foomatic-filters debe resolver los problemas si el error_log de CUPs informa "¡se detuvo con el estado de 22!" (''stopped with status 22!'').
* '''hplip''' - HP GNU/Linux driver.Proporciona soporte para DeskJet, OfficeJet, Photosmart, Business Inkjet y algunos modelos de impresoras LaserJet, así como una serie de impresoras de Brother.
+
* '''hplip''' - Controlador HP GNU/Linux. Proporciona soporte para DeskJet, OfficeJet, Photosmart, Business Inkjet y algunos modelos de impresoras LaserJet, así como una serie de impresoras de Brother.
* '''splix''' - Samsung drivers para SPL (Samsung Printer Language) printers
+
* '''splix''' - Controlador Samsung para impresoras SPL (Lenguaje de impresión de Samsung / ''Samsung Printer Language'')
* '''ufr2''' - Canon UFR2 driver con soporte para LBP, iR y MF series printers. el paquete esta disponible en [[AUR]].
+
* '''ufr2''' - Controlador Canon UFR2 con soporte para impresoras LBP, iR y MF. El paquete está disponible en [[AUR]].
* '''cups-pdf''' - Un paquete que permite configurar una impresora virtual de PDF que genera un PDF
+
* '''cups-pdf''' - Un paquete que permite configurar una impresora virtual que genera un PDF
  
Si no está seguro de qué paquete de controladores para instalar o si el controlador no está funcionando, puede ser más fácil de instalar sólo los de los controladores, ya que algunos de los paquetes son engañosos, ya que las impresoras de otras marcas puede depender en ellos. Por ejemplo, el Brother HL-2140 necesita el hplip driver instalado.
+
Si no está seguro de qué controladores instalar o si el actual no está funcionando, puede ser más fácil instalarlos, ya que algunos de los paquetes son engañosos, ya que las impresoras de otras marcas puede depender en ellos. Por ejemplo, la impresora Brother HL-2140 necesita el controlador hplip instalado.
 
  # pacman -S gutenprint foomatic-db foomatic-db-engine \
 
  # pacman -S gutenprint foomatic-db foomatic-db-engine \
 
  foomatic-db-nonfree foomatic-filters \
 
  foomatic-db-nonfree foomatic-filters \

Revision as of 15:31, 27 July 2011

This template has only maintenance purposes. For linking to local translations please use interlanguage links, see Help:i18n#Interlanguage links.


Local languages: Català – Dansk – English – Español – Esperanto – Hrvatski – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Norsk Bokmål – Polski – Português – Slovenský – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – العربية – ไทย – 日本語 – 正體中文 – 简体中文 – 한국어


External languages (all articles in these languages should be moved to the external wiki): Deutsch – Français – Română – Suomi – Svenska – Tiếng Việt – Türkçe – فارسی

Resumen help replacing me
instalación y configuración de CUPS
Enlaces
compartir impresoras con CUPS
problemas especifico con las impresoras en CUPS
Samba

De la web de CUPS':

"CUPS es el sistema de impresión basado en estándares y de código abierto desarrollado por Apple Inc. para Mac OS® X y otros sistemas operativos basados en UNIX®".

Aunque hay otras alternativas de impresión como LPRng, el Sistema de Impresión Común de Unix (Common Unix Printing System) es la opción más popular debido a su relativa facilidad de uso.

Instalación

Estos paquetes son necesarios:

# pacman -S cups ghostscript gsfonts
  • cups - El software de CUPS real
  • ghostscript - intérprete del lenguaje PostScript
  • gsfonts - GhostScript estándar Type1
  • hpoj - Si está utilizando una HP Officejet, debe instalar este paquete. Además, se recomienda seguir las instrucciones de este hilo en launchpad/hplip para evitar problemas.

Si el sistema está conectado a una impresora de red utilizando el protocolo Samba o si el sistema va a ser un servidor de impresión para los clientes de Windows, también es necesario instalar Samba:

# pacman -S samba


Controladores de la impresora

Estos son algunos de los paquetes de controladores. Elegir el controlador adecuado depende de la impresora:

  • gutenprint - una colección de controladores de alta calidad para impresoras Canon, Epson, Lexmark, Sony, Olympus y PCL para su uso con GhostSscript, CUPS, Foomatic y el GIMP
  • foomatic-db, foomatic-db-engine, foomatic-db-nonfree, and foomatic-filters - Foomatic es un sistema orientado a base de datos para integrar controladores de impresión de software libre con colas comunes en Unix. La instalación de foomatic-filters debe resolver los problemas si el error_log de CUPs informa "¡se detuvo con el estado de 22!" (stopped with status 22!).
  • hplip - Controlador HP GNU/Linux. Proporciona soporte para DeskJet, OfficeJet, Photosmart, Business Inkjet y algunos modelos de impresoras LaserJet, así como una serie de impresoras de Brother.
  • splix - Controlador Samsung para impresoras SPL (Lenguaje de impresión de Samsung / Samsung Printer Language)
  • ufr2 - Controlador Canon UFR2 con soporte para impresoras LBP, iR y MF. El paquete está disponible en AUR.
  • cups-pdf - Un paquete que permite configurar una impresora virtual que genera un PDF

Si no está seguro de qué controladores instalar o si el actual no está funcionando, puede ser más fácil instalarlos, ya que algunos de los paquetes son engañosos, ya que las impresoras de otras marcas puede depender en ellos. Por ejemplo, la impresora Brother HL-2140 necesita el controlador hplip instalado.

# pacman -S gutenprint foomatic-db foomatic-db-engine \
foomatic-db-nonfree foomatic-filters \
hplip splix cups-pdf

Demonio CUPS

Una vez instalados los módulos del kernel, el sistema está listo para iniciar el demonio (servicio) de CUPs.

Template:Daemon